Proxmox 5.3 and external Ceph mimic compatibility

Mar 14, 2017
2
0
1
45
Hi everybody,
I have a small (4 nodes) proxmox cluster on version 5.2.7 (planned but not already done update to 5.3)

Also, I have an external Ceph cluster on version mimic 13.2.1.
Proxmox cluster is connected to Ceph cluster and everything works.

Now, we're planning the upgrade of ceph cluster to version 13.2.4 and I'm looking for a compatibility matrix between Proxmox (current version) and Ceph versions.
Is there some compatibility matrix o some document describing what checks are needed before an upgrade?

Do you have any suggestion about this?

Thanks!
 

tim

Proxmox Staff Member
Oct 1, 2018
330
42
33
I'm sorry but we don't offer a compatibility matrix, because we don't support mimic at the moment.
If you use this setup in production you should test this anyway before upgrading.
 
  • Like
Reactions: Overweb

Alwin

Proxmox Staff Member
Staff member
Aug 1, 2017
4,617
443
88
The most notable place for mentioning any incompatibility between two major ceph versions, would be Ceph's changelog or the mailing list. In general the major version can differ by one, eg. Luminous client can connect to Mimic cluster or vice versa. But as suggested by @tim, this should be tested.
 
  • Like
Reactions: Overweb
Mar 14, 2017
2
0
1
45
Hi,
just to report: we made the upgrade and everything seems to works fine (on rbd side) with proxmox version 5.2.7 and external ceph mimic version 13.2.4

Thanks!
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!